Bug 171622 - Scroll the playlist when dragging tracks
Summary: Scroll the playlist when dragging tracks
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlist (show other bugs)
Version: 2.0-SVN
Platform: Fedora RPMs Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-25 01:05 UTC by a thing
Modified: 2009-12-09 11:28 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Scrolls playlist when dragging (556 bytes, patch)
2008-10-26 06:53 UTC, Gary Steinert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description a thing 2008-09-25 01:05:48 UTC
Version:           2.0-SVN (using KDE 4.1.0)
Installed from:    Fedora RPMs

When track(s) are dragged to the top or bottom of the playlist, the playlist should scroll up or down. This is especially necessary for users of mice without scroll wheels.
Comment 1 Seb Ruiz 2008-09-25 01:20:43 UTC
Agreed, major usability problem
Comment 2 Gary Steinert 2008-10-26 06:53:36 UTC
Created attachment 28149 [details]
Scrolls playlist when dragging

Fixes for other panels will come as I find panels needing it, and after Iget some sleep!
Comment 3 Seb Ruiz 2008-10-26 07:11:18 UTC
SVN commit 875961 by seb:

Automatically scroll playlist when dragging
BUG: 171622


 M  +1 -0      ChangeLog  
 M  +1 -0      src/playlist/view/listview/PrettyListView.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=875961